Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518140 - [Ganesha] : Unable to export volumes via Ganesha when selinux is enabled.
Summary: [Ganesha] : Unable to export volumes via Ganesha when selinux is enabled.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Kaleb KEITHLEY
QA Contact: Ambarish
URL:
Whiteboard:
Depends On: 1511489
Blocks: 1530950
TreeView+ depends on / blocked
 
Reported: 2017-11-28 10:14 UTC by Ambarish
Modified: 2018-02-14 12:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1530950 (view as bug list)
Environment:
Last Closed: 2018-02-14 12:19:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1511489 None None None Never

Internal Links: 1511489

Description Ambarish 2017-11-28 10:14:12 UTC
Description of problem:
------------------------

6 node Ganesha cluster.

Started off with Gluster 3.3 + RHEL 7.4

Upgraded to Gluster 3.4 + RHEL 7.5

Installed ganesha rpms and enabled Ganesha across the gluster cluster.

Getting a cluster up and running was successful.

I am unable to export/unexport volumes via Ganesha though.

Exports are successful when selinux is disabled.


Version-Release number of selected component (if applicable):
--------------------------------------------------------------

glusterfs-ganesha-3.12.2-1.el7rhgs.x86_64
nfs-ganesha-2.5.4-1.el7rhgs.x86_64


How reproducible:
------------------

2/2 on fresh setups.

Comment 2 Ambarish 2017-11-28 10:16:43 UTC
This is what I see in Ganesha logs :

<snip>

28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] glusterfs_create_export :FSAL :EVENT :Volume testvol exported at : '/'
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] glusterfs_get_fs :FSAL :CRIT :Unable to set logging. Volume: testvol
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] mdcache_fsal_create_export :FSAL :MAJ :Failed to call create_export on underlying FSAL GLUSTER
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] fsal_cfg_commit :CONFIG :CRIT :Could not create export for (/testvol) to (/testvol)
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] main :NFS STARTUP :WARN :No export entries found in configuration file !!!
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] config_errs_to_log :CONFIG :CRIT :Config File (/var/run/gluster/shared_storage/nfs-ganesha/exports/export.testvol.conf:7): 1 validation errors in block FSAL
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] config_errs_to_log :CONFIG :CRIT :Config File (/var/run/gluster/shared_storage/nfs-ganesha/exports/export.testvol.conf:7): Errors processing block (FSAL)
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] config_errs_to_log :CONFIG :CRIT :Config File (/var/run/gluster/shared_storage/nfs-ganesha/exports/export.testvol.conf:4): 1 validation errors in block EXPORT
28/11/2017 02:02:38 : epoch d8e50000 : gqas006.sbu.lab.eng.bos.redhat.com : ganesha.nfsd-27477[main] config_errs_to_log :CONFIG :CRIT :Config File (/var/run/gluster/shared_storage/nfs-ganesha/exports/export.testvol.conf:4): Errors processing block (EXPORT)
</snip>


For soem reason,logging was unsuccessful and add export failed subsequently

Comment 4 Daniel Gryniewicz 2017-11-28 15:42:54 UTC
So, ganesha with selinux enabled is known to be broken on RHEL 7.5.  The selinux maintainers have a fix for this, but as far as I know, they haven't rolled out the new packages yet.

For now, you'll have to run without enforcing.

Comment 6 Ambarish 2017-12-21 09:28:15 UTC
Dan,

Do we have a RHEL bug for this?

Comment 7 Daniel Gryniewicz 2017-12-21 14:10:02 UTC
I don't know, Kaleb has been point on this.

Comment 8 Ambarish 2018-02-14 12:19:17 UTC
Exports are working fine on selinux enforced systems - on RHEL Snapshot 3 that QE is currently testing RHGS 3.4 with .

I am closing this bug as WFM.


Note You need to log in before you can comment on or make changes to this bug.